Update branding resource file
This method updates a branding resource file.
You pass in the new version of the resource file in the Content-Disposition header. Example:
Content-Disposition: form-data; name="file"; filename="DocuSign_SigningResource_4328673.xml"
Note: Branding for either signing or sending must be enabled for the account (canSelfBrandSend , canSelfBrandSign, or both of these account settings must be true).
Important: Customizing resource files is an advanced branding configuration option which can significantly impact your account, and should be done only by someone with expertise in XML and HTML. The master resource files are subject to change without notice. If you customize your resource files, after each release, DocuSign recommends you review any changes and update your custom files as needed.
When you upload a modified resource file, only the elements that differ from the master resource file are saved as your resource file. Similarly, when you download your resource files, only the modified elements are included in the file.
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as
Authorization: Bearer <token> on every request except
GET /v2.1 and GET /service_information, which are
public discovery endpoints.
Path parameters
The external account number (int) or account ID Guid.
The type of brand resource file that you are updating. Valid values are:
sendingsigningemailsigning_captive
Request
Response
This property is returned in the response to the AccountBrands::listResources request. It contains a list of any email templates that have been modified to differ from the master resource files.
The type of brand resource file. A brand uses a different resource file to control each of the following experiences:
- Sending (
sending) - Signing (
signing) - Email messages (
email) - Captive (embedded) signing (
signing_captive)
You can modify the default email messages and formats in these files and upload them to your brand to customize the user experience.